Package org.htmlunit

# Class Screen

java.lang.Object
org.htmlunit.Screen

All Implemented Interfaces:
  `Serializable`

public class Screen extends Object implements Serializable
`Screen`.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Screen(WebClient webClient)`
  Creates an instance.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getAvailHeight()`
  `int`
  `getAvailLeft()`
  `int`
  `getAvailTop()`
  `int`
  `getAvailWidth()`
  `int`
  `getColorDepth()`
  `int`
  `getDeviceXDPI()`
  `int`
  `getDeviceYDPI()`
  `int`
  `getHeight()`
  `int`
  `getLeft()`
  `int`
  `getPixelDepth()`
  `int`
  `getTop()`
  `int`
  `getWidth()`
  `void`
  `setAvailHeight(int availHeight)`
  Sets the `availHeight` property.
  `void`
  `setAvailLeft(int availLeft)`
  Sets the `availLeft` property.
  `void`
  `setAvailTop(int availTop)`
  Sets the `availTop` property.
  `void`
  `setAvailWidth(int availWidth)`
  Sets the `availWidth` property.
  `void`
  `setColorDepth(int colorDepth)`
  Sets the `colorDepth` property.
  `void`
  `setDeviceXDPI(int deviceXDPI)`
  Sets the `deviceXDPI` property.
  `void`
  `setDeviceYDPI(int deviceYDPI)`
  Sets the `deviceYDPI` property.
  `void`
  `setHeight(int height)`
  Sets the `height` property.
  `void`
  `setLeft(int left)`
  Sets the `left` property.
  `void`
  `setPixelDepth(int pixelDepth)`
  Sets the `pixelDepth` property.
  `void`
  `setTop(int top)`
  Sets the `top` property.
  `void`
  `setWidth(int width)`
  Sets the `width` property.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Screen

    public Screen(WebClient webClient)
    Creates an instance.
    Parameters:
      `webClient` - the client this belongs to

- ## Method Details

  - ### getAvailHeight

    public int getAvailHeight()
    Returns:
      the `availHeight` property

  - ### setAvailHeight

    public void setAvailHeight(int availHeight)
    Sets the `availHeight` property.
    Parameters:
      `availHeight` - the `availHeight` property

  - ### getAvailLeft

    public int getAvailLeft()
    Returns:
      the `availLeft` property

  - ### setAvailLeft

    public void setAvailLeft(int availLeft)
    Sets the `availLeft` property.
    Parameters:
      `availLeft` - the `availLeft` property

  - ### getAvailTop

    public int getAvailTop()
    Returns:
      the `availTop` property

  - ### setAvailTop

    public void setAvailTop(int availTop)
    Sets the `availTop` property.
    Parameters:
      `availTop` - the `availTop` property

  - ### getAvailWidth

    public int getAvailWidth()
    Returns:
      the `availWidth` property

  - ### setAvailWidth

    public void setAvailWidth(int availWidth)
    Sets the `availWidth` property.
    Parameters:
      `availWidth` - the `availWidth` property

  - ### getColorDepth

    public int getColorDepth()
    Returns:
      the `colorDepth` property

  - ### setColorDepth

    public void setColorDepth(int colorDepth)
    Sets the `colorDepth` property.
    Parameters:
      `colorDepth` - the `colorDepth` property

  - ### getDeviceXDPI

    public int getDeviceXDPI()
    Returns:
      the `deviceXDPI` property

  - ### setDeviceXDPI

    public void setDeviceXDPI(int deviceXDPI)
    Sets the `deviceXDPI` property.
    Parameters:
      `deviceXDPI` - the `deviceXDPI` property

  - ### getDeviceYDPI

    public int getDeviceYDPI()
    Returns:
      the `deviceYDPI` property

  - ### setDeviceYDPI

    public void setDeviceYDPI(int deviceYDPI)
    Sets the `deviceYDPI` property.
    Parameters:
      `deviceYDPI` - the `deviceYDPI` property

  - ### getHeight

    public int getHeight()
    Returns:
      the `height` property

  - ### setHeight

    public void setHeight(int height)
    Sets the `height` property.
    Parameters:
      `height` - the `height` property

  - ### getLeft

    public int getLeft()
    Returns:
      the `left` property

  - ### setLeft

    public void setLeft(int left)
    Sets the `left` property.
    Parameters:
      `left` - the `left` property

  - ### getPixelDepth

    public int getPixelDepth()
    Returns:
      the `pixelDepth` property

  - ### setPixelDepth

    public void setPixelDepth(int pixelDepth)
    Sets the `pixelDepth` property.
    Parameters:
      `pixelDepth` - the `pixelDepth` property

  - ### getTop

    public int getTop()
    Returns:
      the `top` property

  - ### setTop

    public void setTop(int top)
    Sets the `top` property.
    Parameters:
      `top` - the `top` property

  - ### getWidth

    public int getWidth()
    Returns:
      the `width` property

  - ### setWidth

    public void setWidth(int width)
    Sets the `width` property.
    Parameters:
      `width` - the `width` property